//
//  YHDatePickView.swift
//  galaxy
//
//  Created by EDY on 2024/1/30.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//


import UIKit

class YHAddressPickViewTableViewCell: UITableViewCell {
    static let identifier = "YHAddressPickViewTableViewCell"

    let label: UILabel = {
        let label = UILabel(frame: CGRect(x: 42, y: 8, width: 200, height: 24))
        label.font = UIFont.systemFont(ofSize: 14)
        label.textColor = UIColor(red: 51/255, green: 51/255, blue: 51/255, alpha: 1)
        return label
    }()
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        self.selectionStyle = .none
        drawMyView()
    }

    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    private func drawMyView() {
        self.addSubview(label)
    }
}

class YHAddressPickViewFirstTableViewCell: UITableViewCell {
    static let identifier = "YHAddressPickViewFirstTableViewCell"

    let label: UILabel = {
        let label = UILabel(frame: CGRect(x: 24, y: 11.5, width: 100, height: 17))
        label.font = UIFont.systemFont(ofSize: 12)
        label.textColor = UIColor(red: 102/255, green: 102/255, blue: 102/255, alpha: 1)
        return label
    }()

    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        self.selectionStyle = .none
        drawMyView()
    }

    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    private func drawMyView() {
        self.addSubview(label)
    }
}
